std::out_of_range(3)

NAME
std::out_of_range

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
out_of_range (const char *) _GLIBCXX_TXN_SAFE
out_of_range (const out_of_range &)=default
out_of_range (const string &__arg) _GLIBCXX_TXN_SAFE
out_of_range (out_of_range &&)=default
out_of_range & operator= (const out_of_range &)=default
out_of_range & operator= (out_of_range &&)=default
virtual const char * what () const noexcept

Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 200 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.